umbrello: ClassAssociationsPage Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
ClassAssociationsPage Class Reference

The page shows all the Associations that belong to a UMLClassifier. More...

`#include <classassociationspage.h>`

Inheritance diagram for ClassAssociationsPage:

## Public Slots
void | slotDoubleClick (QListWidgetItem *item)
void | slotRightButtonPressed (const QPoint &p)
void | slotMenuSelection (QAction *action)

## Public Member Functions
| ClassAssociationsPage (QWidget *parent, UMLScene *scene, UMLObject *o)
| ~ClassAssociationsPage ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Member Functions
void | fillListBox ()

## Private Attributes
UMLObject * | m_pObject
UMLScene * | m_pScene
QListWidget * | m_pAssocLW
QGroupBox * | m_pAssocGB
AssociationWidgetList | m_List

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

The page shows all the Associations that belong to a UMLClassifier.

Displays a page on the tabbed dialog window of ClassPropertiesDialog. The page shows all the Associations that belong to a UMLClassifier.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ClassAssociationsPage()

ClassAssociationsPage::ClassAssociationsPage | ( | QWidget * | parent,
|  | UMLScene * | s,
|  | UMLObject * | o )

Constructs an instance of AssocPage.

Parameters

  parent | The parent of the page
  s | The scene on which the UMLObject is being represented
  o | The UMLObject being represented

## ◆ ~ClassAssociationsPage()

ClassAssociationsPage::~ClassAssociationsPage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ fillListBox()

void ClassAssociationsPage::fillListBox | ( |  | ) |
| private

Fills the list box with the objects associations.

## ◆ slotDoubleClick

void ClassAssociationsPage::slotDoubleClick | ( | QListWidgetItem * | item | ) |
| slot

## ◆ slotMenuSelection

void ClassAssociationsPage::slotMenuSelection | ( | QAction * | action | ) |
| slot

## ◆ slotRightButtonPressed

void ClassAssociationsPage::slotRightButtonPressed | ( | const QPoint & | p | ) |
| slot

## Member Data Documentation

## ◆ m_List

AssociationWidgetList ClassAssociationsPage::m_List
| private

## ◆ m_pAssocGB

QGroupBox* ClassAssociationsPage::m_pAssocGB
| private

## ◆ m_pAssocLW

QListWidget* ClassAssociationsPage::m_pAssocLW
| private

## ◆ m_pObject

UMLObject* ClassAssociationsPage::m_pObject
| private

## ◆ m_pScene

UMLScene* ClassAssociationsPage::m_pScene
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/classassociationspage.h
- umbrello/dialogs/pages/classassociationspage.cpp